"""Asynchronous Python client for Mealie."""

from aiomealie.exceptions import (
    MealieConnectionError,
    MealieError,
    MealieAuthenticationError,
    MealieValidationError,
    MealieBadRequestError,
)
from aiomealie.mealie import MealieClient
from aiomealie.models import (
    About,
    StartupInfo,
    GroupSummary,
    Theme,
    BaseRecipe,
    RecipesResponse,
    Mealplan,
    MealplanResponse,
    MealplanEntryType,
    MutateShoppingItem,
    ShoppingList,
    ShoppingListsResponse,
    ShoppingItem,
    ShoppingItemsResponse,
    UserInfo,
    Recipe,
    Instruction,
    Ingredient,
    Tag,
)

__all__ = [
    "About",
    "MealieConnectionError",
    "MealieError",
    "MealieAuthenticationError",
    "MealieBadRequestError",
    "MealieValidationError",
    "MealieClient",
    "StartupInfo",
    "GroupSummary",
    "Theme",
    "BaseRecipe",
    "Recipe",
    "Instruction",
    "Ingredient",
    "Tag",
    "RecipesResponse",
    "Mealplan",
    "MealplanResponse",
    "MealplanEntryType",
    "ShoppingItem",
    "MutateShoppingItem",
    "ShoppingItemsResponse",
    "ShoppingList",
    "ShoppingListsResponse",
    "UserInfo",
]
